ultimix

- Main Page
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
subscription_markup_1_0_0 Class Reference

## Public Member Functions
| __construct ()
| compile_unsubscribe_url (&$Settings)

## Data Fields
| $String = false
| $SubscriptionAlgorithms = false

## Detailed Description

Class processes macro.

Author
  Dodonov A.A.

Definition at line 26 of file subscription_markup.php.

## Constructor & Destructor Documentation

__construct | ( |  | ) |

Constructor.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 55 of file subscription_markup.php.

{
try
{
$this->String = get_package_object( 'string' , 'last' , __FILE__ );
$this->SubscriptionAlgorithms = get_package(
'subscription::subscription_algorithms' , 'last' , __FILE__
);
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Member Function Documentation

compile_unsubscribe_url | ( | & | $Settings | ) |

Function compiles macro 'browser'.

Parameters

  $Settings | - Parameters.

Returns
  HTML code.

Exceptions

  Exception | - An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 92 of file subscription_markup.php.

{
try
{
$UserId = $Settings->get_setting( 'user_id' );
$SubscriptionId = $Settings->get_setting( 'subscription_id' );
$Hash = $this->SubscriptionAlgorithms->calculate_hash( $UserId , $SubscriptionId );
return( "{http_host}/unsubscribe.html?user_id[eq]$UserId&hash[eq]$Hash" );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Field Documentation

$String = false

Cached packages.

Author
  Dodonov A.A.

Definition at line 38 of file subscription_markup.php.

$SubscriptionAlgorithms = false

Definition at line 39 of file subscription_markup.php.

The documentation for this class was generated from the following file:

- packages/subscription/packages/subscription_markup/subscription_markup.php